summaryrefslogtreecommitdiffstats
path: root/.bin/bck-create
diff options
context:
space:
mode:
Diffstat (limited to '.bin/bck-create')
-rwxr-xr-x.bin/bck-create21
1 files changed, 21 insertions, 0 deletions
diff --git a/.bin/bck-create b/.bin/bck-create
new file mode 100755
index 0000000..9714af6
--- /dev/null
+++ b/.bin/bck-create
@@ -0,0 +1,21 @@
+#!/bin/sh
+
+set -xe
+
+directories="${HOME}/docs
+ ${HOME}/git.rgoncalves.se
+ ${HOME}/.local/share/gopass
+ ${HOME}/.local/share/mail
+ ${HOME}/.local/share/yadm
+ ${HOME}/.local/share/zk"
+
+pgp_id=$(gpg --list-secret-keys | grep -A 1 sec | tail -n 1 | tr -d " ")
+output_name="$(date -u +"%Y-%m-%dT%H_%M_%S%Z").tar.pgp"
+
+if [ -d "${1}" ]; then
+ output_name="${1}/${output_name}"
+elif [ -f "${1}" ] || [ "${1}" ]; then
+ output_name="${1}"
+fi
+
+tar cvf - ${directories} | lz4 | gpg -e -z 0 -r "${pgp_id}" > "${output_name}"
remember that computers suck.